/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */

// ---------------------------------------------------------------------------
//
// File             : HelloScrolledW.cc
// Description      : Demo program for C++ classes
// Revision History : Created Dec 22, 1989 by MBOUTHIL
//
// ---------------------------------------------------------------------------

#include "XMAppShell.hh"                        // ApplicationShell class
#include "XMScrolledW.hh"                       // ScrolledWindow class
#include "XMScrollBar.hh"                       // ScrollBar class
#include "XMDrawingA.hh"                        // DrawingArea class

// ---------------------------------------------------------------------------
void main (unsigned int argc,  char **argv) {

  XMApplicationShell  shell  ("main", &argc, argv);
  XMScrolledWindow    scrolledw (&shell, "scrolledw");
  XMDrawingArea       drawinga (&scrolledw, "drawinga");
  XMScrollBar         vbar (&scrolledw, "vbar");
  XMScrollBar         hbar (&scrolledw, "hbar");

// Set the orientation of the horizontal scroll bar

  hbar.set_orientation(XmHORIZONTAL);
  hbar.set_height(15);
  hbar.set(); 

// Set up the drawing area

  drawinga.set_height(200);
  drawinga.set_width(200);
  drawinga.set();

// Set up the scrolled window

  scrolledw.set_horizontalScrollBar (&hbar);
  scrolledw.set_verticalScrollBar (&vbar);
  scrolledw.set_workWindow (&drawinga);
  scrolledw.set_scrollBarDisplayPolicy (XmSTATIC);
  scrolledw.set_scrollBarPlacement (XmTOP_LEFT);
  scrolledw.set();

// Manage the widgets

  drawinga.Manage ();
  vbar.Manage ();
  hbar.Manage ();
  scrolledw.Manage ();

  shell.Realize ();

  XtMainLoop ();
}
